gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Describes a particular video hardware display format.

A Gdk.Visual describes a particular video hardware display format. It includes information about the number of bits used for each color, the way the bits are translated into an RGB value for display, and the way the bits are stored in memory. For example, a piece of display hardware might support 24-bit color, 16-bit color, or 8-bit color; meaning 24/16/8-bit pixel sizes. For a given pixel size, pixels can be in different formats; for example the "red" element of an RGB pixel may be in the top 8 bits of the pixel, or may be in the lower 4 bits.

Usually you can avoid thinking about visuals in GTK+. Visuals are useful to interpret the contents of a , but you should avoid GdkImage precisely because its contents depend on the display hardware; use instead, for all but the most low-level purposes. Also, anytime you provide a , the visual is implied as part of the colormap (), so you won't have to provide a visual in addition.

There are several standard visuals. The visual returned by is the system's default visual. return the visual most suited to displaying full-color image data. If you use the calls in , you should create your windows using this visual (and the colormap returned by ).

A number of functions are provided for determining the "best" available visual. For the purposes of making this determination, higher bit depths are considered better, and for visuals of the same bit depth, is preferred at 8bpp, otherwise, the visual types are ranked in the order of (highest to lowest) , , , , then .

- Constructor
  2.12.0.0
  Default constructor.
  None.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Gdk.Visual Visual with the most available colors for the default GDK screen. The best visual. Get the visual with the most available colors for the default GDK screen.
- Property
  2.12.0.0
  System.Int32 Best depth for the default Gdk screen. The best depth

  Get the best available depth for the default GDK screen. "Best" means "largest," i.e. 32 preferred over 24 preferred over 8 bits per pixel.

- Property
  2.12.0.0
  Gdk.VisualType Best visual type for the default Gdk screen The best visual type available. Return the best available visual type for the default GDK screen.
- Method
  2.12.0.0
  Gdk.Visual `` `` Required depth. Required visual type. Get the best visual given a visual type and a required depth. Best visual of the given type and depth.

  Get the best visual of the given at the given for the default GDK screen. Visuals with higher color depths are considered better. The return value should not be freed. may be returned if no visual that match the type and .

- Method
  2.12.0.0
  Gdk.Visual `` A bit depth Get the best visual with depth depth for the default GDK screen. Best visual for the given depth.

  Get the best visual with depth depth for the default GDK screen. Color visuals and visuals with mutable colormaps are preferred over grayscale or fixed-colormap visuals. The return value should not be freed. may be returned if no visual supports .

- Method
  2.12.0.0
  Gdk.Visual `` Required visual type. Get the best visual of the given visual_type for the default GDK screen. Best visual of the given type

  Get the best visual of the given for the default GDK screen. Visuals with higher color depths are considered better. The return value should not be freed. may be returned if no visual has type .

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Gdk.Screen Gets the screen to which this visual belongs. The to which this visual belongs. None.
- Property
  2.12.0.0
  Gdk.Visual The system'sdefault visual for the default GDK screen. The system visual Get the system'sdefault visual for the default GDK screen. This is the visual for the root window of the display.